
Redmine - Defect #16111

Redmine should accept changes to an issue even when an error prevents an attachment upload

2014-02-17 18:07 - Christopher Harwood

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.2.3

Description

I am working on an problem where users receive a 500 error page any time they attempt to attach documents to an issue using the

files field. This is a new installation, so I suspect that problem is not related to Redmine itself. However, in addressing it I have noted

that Redmine will lose any other updates that the user entered for that issue. Sometimes the lost effort is considerable.

It would be better if Redmine provided some error handling in this case, allowing the issue updates to pass through while signaling to

the user that their attempt to upload a file was unsuccessful.

This is an issue that I would be happy to work on myself as time permits, but being new to both Ruby/Rails and Redmine it will take

me awhile to figure out how all the pieces fit together. Not a professional programmer by any means.

Related issues:

Related to Redmine - Feature #3957: Ajax file upload with progress bar Closed 2009-10-01

History

#1 - 2014-03-05 07:46 - Toshi MARUYAMA

- Category changed from Issues to Attachments

#2 - 2016-05-10 10:04 - Go MAEDA

- Status changed from New to Closed

This problem was resolved by #3957 (Ajax file upload).

#3 - 2016-05-10 10:05 - Go MAEDA

- Related to Feature #3957: Ajax file upload with progress bar added
